<?php
// ------------------------------------------------------------------------- //
// Coppermine Photo Gallery 1.3.1                                            //
// ------------------------------------------------------------------------- //
// Copyright (C) 2002-2004 Gregory DEMAR                                     //
// http://www.chezgreg.net/coppermine/                                       //
// ------------------------------------------------------------------------- //
// Updated by the Coppermine Dev Team                                        //
// (http://coppermine.sf.net/team/)                                          //
// see /docs/credits.html for details                                        //
// ------------------------------------------------------------------------- //
// This program is free software; you can redistribute it and/or modify      //
// it under the terms of the GNU General Public License as published by      //
// the Free Software Foundation; either version 2 of the License, or         //
// (at your option) any later version.                                       //
// ------------------------------------------------------------------------- //
// CVS version: $Id: albmgr.php,v 1.4 2004/07/09 06:57:34 gaugau Exp $
// ------------------------------------------------------------------------- //

define('IN_COPPERMINE', true);
define('SORTALB_PHP', true);
define('CONFIG_PHP', true); //MARK STRALKA
define('UPLOAD_PHP',true);

require('include/init.inc.php');

if (!(GALLERY_ADMIN_MODE || USER_ADMIN_MODE)) cpg_die(ERROR, $lang_errors['access_denied'], __FILE__, __LINE__);

// The function to create the album list drop down.
function form_alb_list_box($text, $name, $onChange) {
// frogfoot re-wrote this function to present the list in categorized, sorted and nicely formatted order

    // Pull the $CONFIG array and the GET array into the function
    global $CONFIG, $HTTP_GET_VARS, $lang_upload_php;

    // Also pull the album lists into the function
    global $user_albums_list, $public_albums_list;

    // Check to see if an album has been preselected by URL addition. If so, make $sel_album the album number. Otherwise, make $sel_album 0.
    $sel_album = isset($HTTP_GET_VARS['album']) ? $HTTP_GET_VARS['album'] : 0;

    // Create the opening of the drop down box
    echo <<<EOT
    <tr>
        <td class="tableb" valign="top">
            $text
		<select name="$name" class="listbox" onChange="$onChange">

EOT;

    // Reset counter
    $list_count = 0;

    // Cycle through the User albums
    foreach($user_albums_list as $album) {

        // Add to multi-dim array for later sorting
        $listArray[$list_count]['cat'] = $lang_upload_php['personal_albums'];
        $listArray[$list_count]['aid'] = $album['aid'];
        $listArray[$list_count]['title'] = $album['title'];
        $list_count++;
    }
	if (GALLERY_ADMIN_MODE) {
		// Cycle through the public albums
		foreach($public_albums_list as $album) {

			// Set $album_id to the actual album ID
			$album_id = $album['aid'];

			// Get the category name
			$vQuery = "SELECT cat.name FROM " . $CONFIG['TABLE_CATEGORIES'] . " cat, " . $CONFIG['TABLE_ALBUMS'] . " alb WHERE alb.aid='" . $album_id . "' AND cat.cid=alb.category";
			$vRes = mysql_query($vQuery);
			$vRes = mysql_fetch_array($vRes);

			// Add to multi-dim array for sorting later
			if ($vRes['name']) {
				$listArray[$list_count]['cat'] = $vRes['name'];
			} else {
				$listArray[$list_count]['cat'] = $lang_upload_php['albums_no_category'];
			}
			$listArray[$list_count]['aid'] = $album['aid'];
			$listArray[$list_count]['title'] = $album['title'];
			$list_count++;
		}
	}

    // Sort the pulldown options by category and album name
    $listArray = array_csort($listArray,'cat','title');

    // Finally, print out the nicely sorted and formatted drop down list
    $alb_cat = '';
    foreach ($listArray as $val) {
        if ($val['cat'] != $alb_cat) {
if ($alb_cat) echo "                </optgroup>\n";
            echo '                <optgroup label="' . $val['cat'] . '">' . "\n";
            $alb_cat = $val['cat'];
        }
        echo '                <option value="' . $val['aid'] . '"' . ($val['aid'] == $sel_album ? ' selected' : '') . '>   ' . $val['title'] . "</option>\n";
    }
    if ($alb_cat) echo "                </optgroup>\n";

    // Close the drop down
    echo <<<EOT
            </select>
        </td>
    </tr>

EOT;
}

/*function get_subcat_data($parent, $ident = '')
{
    global $CONFIG, $CAT_LIST;

    $result = db_query("SELECT cid, name, description FROM {$CONFIG['TABLE_CATEGORIES']} WHERE parent = '$parent' AND cid != 1 ORDER BY pos");
    if (mysql_num_rows($result) > 0) {
        $rowset = db_fetch_rowset($result);
        foreach ($rowset as $subcat) {
            $CAT_LIST[] = array($subcat['cid'], $ident . $subcat['name']);
            get_subcat_data($subcat['cid'], $ident . '&nbsp;&nbsp;&nbsp;');
        }
    }
}*/
$album = $_GET['album'];
if (!isset($HTTP_GET_VARS['album'])) {
    if (GALLERY_ADMIN_MODE) {
        $results = mysql_query("SELECT * FROM {$CONFIG['TABLE_ALBUMS']} WHERE 1 LIMIT 1");
    } else {
        $results = mysql_query("SELECT * FROM {$CONFIG['TABLE_ALBUMS']} WHERE category = " . (FIRST_USER_CAT + USER_ID) . " LIMIT 1");
    }
    if (mysql_num_rows($results) == 0) cpg_die(ERROR, $lang_modifyalb_php['err_no_alb_to_modify'], __FILE__, __LINE__);
    $ALBUM_DATA = mysql_fetch_array($results);
    $album = $ALBUM_DATA['aid'];
} else {
    $album = (int)$HTTP_GET_VARS['album'];
    $results = mysql_query("SELECT * FROM {$CONFIG['TABLE_ALBUMS']} WHERE aid='$album'");
    if (!mysql_num_rows($results)) cpg_die(CRITICAL_ERROR, $lang_errors['non_exist_ap'], __FILE__, __LINE__);
    $ALBUM_DATA = mysql_fetch_array($results);
}

pageheader($lang_sortalb_php['title']);
//Process the order update
if (!empty($_POST['pic_sort_order']) && !empty($_POST['album'])) {
	//dump($_POST);
	//echo "OK:${_POST['to']} <br/>\n";
	//echo $_POST['pic_sort_order']."<br/>\n";
	foreach($_POST['to'] as $key => $value) {
		//echo $value."<br/>\n";
		$elements = explode(",",$value);
		$new_pos = str_replace("pic_sort=","",$elements[2]);
		//echo "newpos: $new_pos<br/>\n";
		$pid = str_replace("pic_no=","",$elements[0]);
		$result = db_query("UPDATE {$CONFIG['TABLE_PICTURES']} SET pos = '$new_pos' WHERE pid = '$pid'");
	}
	$result = db_query("UPDATE {$CONFIG['TABLE_ALBUMS']} SET sort_order = 'cs'");
}

?>

<script language="javascript">
<!--
    function CheckAlbumForm(frm)
    {
        var select_len = frm.to.length;
        var album = new Object();
        var changed = false;

        for (i=0; i<select_len; i++) {
            album = new parseSelectValue(frm.to, i);

            if (album.action != '0') {
                if (album.pic_nm == '') {
                    alert('<?php echo $lang_sortalb_php['alb_need_name'] ?>');
                    frm.to.options[i].selected = true;
                    return false;
                }
                changed = true;
            }
        }

        //if (frm.delete_album.value.len !=0)
        //    changed = true;

        if (changed) {
            if (confirm('<?php echo $lang_sortalb_php['confirm_modifs'] ?>')) {
                for (i=0; i<select_len; i++) {
                    album = new parseSelectValue(frm.to, i);
                    if (album.action != '0') {
                        frm.to.options[i].selected = true;
                    }
                }
                return true;
            }
            else
                return false;
        }
        else {
            alert('<?php echo $lang_sortalb_php['no_change'] ?>');
            return false;
        }
    }

    function page_init()
    {
        //document.pic_menu.delete_album.value = "";
    }
-->
</script>

<script language="javascript">
<!--
    var selectedOptIndex;

    function Picture_Select(selectedIndex)
    {
        selectedOptIndex = selectedIndex;

        for (i=0; i<document.pic_menu.to.length; i++) {
            document.pic_menu.to.options[i].selected = false;
        }
        document.pic_menu.to.options[selectedIndex].selected = true;

        var album = new Object();
        album = new parseSelectValue(document.pic_menu.to, selectedIndex);

        //album.deleteFrm();
        album.changeFrm();
    }

    function Moveup_Option()
    {
        var to = document.pic_menu.to;
        var pos = selectedOptIndex;
        if (pos == 0) {
            return;
        }

        swap_option(to, pos, pos-1);
        selected_option(to, pos-1);
    }

    function Movedown_Option()
    {
        var to = document.pic_menu.to;
        var pos = selectedOptIndex;
        if (pos == to.length-1) {
            return;
        }

        swap_option(to, pos, pos+1);
        selected_option(to, pos+1);
    }

    function make_option(text, value, target, index)
    {
        target[index] = new Option(text, value);
    }

    function move_list(target, pos)
    {
        var album = new Object();
        var listlen = target.length;

        for (j=listlen-1; j>pos-1; j--) {
            album = new parseSelectValue(target, j)
            if (album.action == '1') {
                value = make_value(album.pic_no, album.pic_nm, Number(album.pic_sort)+1, '1');
            }
            else {
                value = make_value(album.pic_no, album.pic_nm, Number(album.pic_sort)+1, '2');
            }
            text  = target.options[j].text;

            make_option(text, value, target, j+1);
        }
    }

    function _private_update_frm_element(name)
    {
        var frm = document.pic_menu;
        //frm.pic_nm.value = name;
    }

    function _private_change()
    {
        _private_update_frm_element(this.pic_nm);
    }

    function _private_delete()
    {
        _private_update_frm_element('');
    }

    function parseSelectValue(select, selectedIndex)
    {
        var temp_nm
        var option_value = select.options[selectedIndex].value;

        this.pic_no = option_value.substring(option_value.indexOf('pic_no=') + 7, option_value.indexOf(','));
        option_value = option_value.substring(option_value.indexOf(',') + 1);
		//alert("PIC_NO=" + this.pic_no);

        temp_nm = option_value.substring(option_value.indexOf('pic_nm=') + 7, option_value.indexOf('pic_sort=')-1);
        this.pic_nm = temp_nm.substring(1, temp_nm.length-1);
        option_value = option_value.substring(option_value.indexOf('pic_sort='));
		//alert("PIC_NM=" + this.pic_nm);

        this.pic_sort = option_value.substring(option_value.indexOf('pic_sort=') + 9 ,option_value.indexOf(','));
        option_value = option_value.substring(option_value.indexOf(',') + 1);
		//alert("PIC_SORT=" + this.pic_sort);

        this.action = option_value.substring(option_value.indexOf('action=') + 7);
		//alert("ACTION=" + this.action);
        this.changeFrm = _private_change;
        //this.deleteFrm = _private_delete;

        return this;
    }

    function selected_option(target, pos)
    {
        target.options[pos].selected = true;
        Picture_Select(pos);
    }

    function swap_option(target, swap_a, swap_b)
    {
        var album_a = new Object();
        var album_b = new Object();

        album_a = new parseSelectValue(target, swap_a);
        album_b = new parseSelectValue(target, swap_b);

        if (album_a.action == '0') album_a.action = '2';
        if (album_b.action == '0') album_b.action = '2';

        var temp_option = new Option(target.options[swap_a].text, make_value(album_a.pic_no, album_a.pic_nm,album_b.pic_sort,album_a.action));
        target[swap_a] = new Option(target.options[swap_b].text, make_value(album_b.pic_no, album_b.pic_nm,album_a.pic_sort,album_b.action));
        target[swap_b] = temp_option;
    }

    function make_value(pic_no, pic_nm, pic_sort, action)
    {
        return "pic_no=" + pic_no + ",pic_nm='" + pic_nm + "',pic_sort=" + pic_sort + ",action=" + action;		
    }
-->
</script>
<?php



?>
<?php starttable("100%", $lang_sortalb_php['title'], 1);
?>
<tr>
<?php
$aid = isset($HTTP_GET_VARS['album']) ? ($HTTP_GET_VARS['album']) : 0;
//if ($alb == 1) $alb = 0;

//*************************
//taken from upload.php
if (GALLERY_ADMIN_MODE) {
    $public_albums = mysql_query("SELECT aid, title FROM {$CONFIG['TABLE_ALBUMS']} WHERE category < " . FIRST_USER_CAT . " ORDER BY title");
} else {
    $public_albums = mysql_query("SELECT aid, title FROM {$CONFIG['TABLE_ALBUMS']} WHERE category < " . FIRST_USER_CAT . " AND uploads='YES' ORDER BY title");
}
if (mysql_num_rows($public_albums)) {
    $public_albums_list = db_fetch_rowset($public_albums);
} else {
    $public_albums_list = array();
}
if (USER_ID) {
    $user_albums = mysql_query("SELECT aid, title FROM {$CONFIG['TABLE_ALBUMS']} WHERE category='" . (FIRST_USER_CAT + USER_ID) . "' ORDER BY pos ASC, title ASC");
    if (mysql_num_rows($user_albums)) {
        $user_albums_list = db_fetch_rowset($user_albums);
    } else {
        $user_albums_list = array();
    }
} else {
    $user_albums_list = array();
}
//*************************


if (GALLERY_ADMIN_MODE) {
    $result = db_query("SELECT pid, pos, filename, title FROM {$CONFIG['TABLE_PICTURES']} WHERE aid = $aid ORDER BY pos ASC");
} elseif (USER_ADMIN_MODE) {
    $result = db_query("SELECT pid, pos, filename, title FROM {$CONFIG['TABLE_PICTURES']} WHERE aid = " . $aid . " AND owner_id = " . USER_ID . " ORDER BY pos ASC");
} else cpg_die(ERROR, $lang_errors['perm_denied'], __FILE__, __LINE__);
$rowset = db_fetch_rowset($result);
$i = 0;
$pic_sort_order = '';
if (count ($rowset) > 0) foreach ($rowset as $pic) {
    $pic_sort_order .= $pic['pid'] . '@' . ($i++) . ',';
}

?>
        <form name="pic_menu" method="post" action="sortalb.php?album=<?php print $aid?>" onSubmit="return CheckAlbumForm(this);">
        <!--<input type="hidden" name="delete_album" value="">-->
        <input type="hidden" name="pic_sort_order" value="<?php echo $pic_sort_order ?>">
        <td class="tableb" valign="top" align="center">
                <br>
                <table width="300" border="0" cellspacing="0" cellpadding="0">
<?php
if (GALLERY_ADMIN_MODE) {
	form_alb_list_box('Album','album',"if(this.options[this.selectedIndex].value) window.location.href='$PHP_SELF?album='+this.options[this.selectedIndex].value;");
}
?>
                <tr>
                        <td>
                                <select id="to" name="to[]" size="<?php echo min(max(count ($rowset) + 3, 15), 40) ?>" multiple onChange="Picture_Select(this.selectedIndex);" class="listbox" style="width: 300px">
<?php
$i = 0;
$lb = '';
if (count ($rowset) > 0) foreach ($rowset as $pic) {
    $lb .= '                                        <option value="pic_no=' . $pic['pid'] . ',pic_nm=\'' . $pic['filename'] . '\',pic_sort=' . ($i++) . ',action=0">' . stripslashes($pic['pid']. ": " . $pic['filename'] . " - " . $pic['title'] . " - " . $pic['pos'])."</option>\n";
}
echo $lb;

?>
                                </select>
                        </td>
                </tr>
                <tr>
                        <td>
                                <table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr>
                                        <td><a href="javascript:Moveup_Option();"><img src="images/move_up.gif" width="26" height="21" border="0"></a><a href="javascript:Movedown_Option();"><img src="images/move_down.gif" width="26" height="21" border="0"></a>
                                        </td>

                                </tr>
                                </table>
                        </td>
                </tr>
                <tr>
                        <td><br>
                                <br>
                                <br>
                        </td>
                </tr>
        </table>
        </td>
</tr>
<tr>
        <td colspan="2" align="center" class="tablef">
        <input type="submit" class="button" value="<?php echo $lang_sortalb_php['apply_modifs'] ?>" onClick="for (i=0; i<document.pic_menu.to.length; i++) {document.pic_menu.to.options[i].selected = true;}" >
        </td>
        </form>
</tr>
<?php
endtable();
pagefooter();
ob_end_flush();

?>
